=== debian/changelog ===
tirex (0.7.0-3) unstable; urgency=medium

  * Team upload.
  * Add Rules-Requires-Root to control file.
  * Update lintian overrides.
  * Bump Standards-Version to 4.6.2, no changes.
  * Move systemd services to /lib/systemd.
    (closes: #1034222)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 11 Apr 2023 10:20:03 +0200

tirex (0.7.0-2) unstable; urgency=medium

  [ Frederik Ramm ]
  * Avoid deletion of tile cache on upgrade.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.

 -- Felix Delattre <debian@xama.nu>  Wed, 03 Aug 2022 08:27:51 +0000

tirex (0.7.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Felix Delattre <debian@xama.nu>  Mon, 22 Nov 2021 16:56:21 +0000

tirex (0.7.0-1~exp1) experimental; urgency=medium

  [ Felix Delattre ]
  * Initial package (Closes: #968676).
  * New upstream release 0.7.0
  * Adjusted copyright information.
  * Use tirex package.
  * Sort and review dependencies.
  * Review section declaration of packages.
  * Place apache2 config when installing tirex.
  * Introduce dedicated user _tirex.
  * Remove experimental backends, plugins, and example map from packaging.
  * Load utils into /usr/share.
  * Handle tiles and stats in cache directory.
  * Use daemon under /run.
  * Check on systemd service files.
  * Revisit configuration.
  * Bump Standards-Version to 4.6.0, no changes.

  [ Bas Couwenberg ]
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update watch file for GitHub URL changes.

 -- Felix Delattre <debian@xama.nu>  Thu, 07 Oct 2021 14:37:41 +0000
