=== debian/control ===
Source: tirex
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Felix Delattre <debian@xama.nu>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-apache2,
               libboost-program-options-dev,
               libipc-sharelite-perl,
               libjson-perl,
               libmapnik-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/tirex
Vcs-Git: https://salsa.debian.org/debian-gis-team/tirex.git
Homepage: https://wiki.openstreetmap.org/wiki/Tirex
Rules-Requires-Root: no

Package: tirex
Section: utils
Architecture: any
Depends: adduser,
         libapache2-mod-tile,
         libgd-gd2-perl,
         libjson-perl,
         libipc-sharelite-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: ${misc:Recommends}
Description: Daemon that renders raster map tile using different backends
 Tirex consists of several tools to manage map raster tile rendering and
 caching. It contains the master daemon, rendering manager, backends for
 mapnik and testing, and assorted utility programs.

Package: tirex-example-map
Section: web
Architecture: all
Depends: libjs-leaflet,
         tirex,
         ${misc:Depends},
Recommends: ${misc:Recommends},
Description: Tirex example map data and configuration
 It comes with all connecting pieces to make tirex work
 with Mapnik and Apache2 webserver.
 After installation the map can be visisted in a web
 browser by going to http://localhost/tirex-example-map.
