=== debian/changelog ===
tirex (0.7.1-3build4) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Aug 2025 08:19:17 +0200

tirex (0.7.1-3build3) plucky; urgency=medium

  * Rebuild against latest mapnik

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Nov 2024 07:32:38 -0500

tirex (0.7.1-3build2) oracular; urgency=medium

  * No-change rebuild for libmapnik4.0.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 05 Aug 2024 17:38:20 +0100

tirex (0.7.1-3build1) oracular; urgency=medium

  * Rebuild against new libmapnik4.0.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Jun 2024 08:33:21 +0200

tirex (0.7.1-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with Mapnik 4.0.
    (closes: #1069109)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 17 Jun 2024 08:04:22 +0200

tirex (0.7.1-2) unstable; urgency=medium

  * Team upload.

  [ datendelphin ]
  * Fix logrotate entry in tirex.install.

  [ Bas Couwenberg ]
  * Add architecture-is-64-bit to build dependencies to match mod_tile.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 May 2024 18:05:29 +0200

tirex (0.7.1-1) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * New upstream release.
  * Bump debhelper compat to 13.
  * Enable Salsa CI.
  * Switch to dh-sequence-*.
  * Refresh patches.
  * Update lintian overrides.

  [ Helmut Grohne ]
  * Let dh_installsystemd choose the location of systemd units.
    (closes: #1052715)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Mar 2024 10:01:46 +0100
