=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Uploaders: Felix Delattre <debian@xama.nu>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: architecture-is-64-bit,
+               debhelper-compat (= 13),
                dh-apache2,
+               dh-sequence-apache2,
                libboost-program-options-dev,
                libipc-sharelite-perl,
                libjson-perl,
-               libmapnik-dev
+               libmapnik-dev (>= 4.0.0)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/tirex
 Vcs-Git: https://salsa.debian.org/debian-gis-team/tirex.git
