## tirex 0.8.0

=== debian/changelog ===
tirex (0.8.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Fix old FSF address in copyright file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Aug 2025 16:19:03 +0200
