=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                libipc-sharelite-perl,
                libjson-perl,
                libmapnik-dev (>= 4.0.0)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/tirex
-Vcs-Git: https://salsa.debian.org/debian-gis-team/tirex.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/tirex.git -b experimental
 Homepage: https://wiki.openstreetmap.org/wiki/Tirex
 Rules-Requires-Root: no
