=== debian/changelog ===
tirex (0.8.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Repack upstream tarball to exclude GitLab CI configuration.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Aug 2025 12:18:19 +0200
