=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libmapnik-dev (>= 4.0.0)
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/tirex
-Vcs-Git: https://salsa.debian.org/debian-gis-team/tirex.git -b experimental
+Vcs-Git: https://salsa.debian.org/debian-gis-team/tirex.git
 Homepage: https://wiki.openstreetmap.org/wiki/Tirex
 Rules-Requires-Root: no
